ChangeSet 1.1595.8.3, 2003/07/29 22:22:50-07:00, bellucda@tiscali.it

[PATCH] USB: Audit usb_register() in drivers/usb/input/wacom.c


 drivers/usb/input/wacom.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/input/wacom.c b/drivers/usb/input/wacom.c
--- a/drivers/usb/input/wacom.c	Fri Aug  1 10:56:38 2003
+++ b/drivers/usb/input/wacom.c	Fri Aug  1 10:56:38 2003
@@ -629,9 +629,10 @@
 
 static int __init wacom_init(void)
 {
-	usb_register(&wacom_driver);
-	info(DRIVER_VERSION ":" DRIVER_DESC);
-	return 0;
+	int result = usb_register(&wacom_driver);
+	if (result == 0)
+		info(DRIVER_VERSION ":" DRIVER_DESC);
+	return result;
 }
 
 static void __exit wacom_exit(void)
